<template>
	<el-drawer :title="info.title || info.label" v-model="visible" :size="1000" destroy-on-close @closed="$emit('closed')">
		<stat :name="info.value || info.name"></stat>
	</el-drawer>
</template>
<script>
	import stat from '@/views/system/stat';
	export default {
		emits: ['success', 'closed'],
		props: {},
		components: {
			stat,
		},
		data() {
			return {
				info: {},
				visible: false,
			}
		},
		methods: {
			//显示
			open(){
				this.visible = true;
				return this;
			},
			//表单注入数据
			setData(info){
				this.info = info;
			},
		}
	}
</script>
